| Version: 3.1.5

List of all members
wxGridCornerHeaderRenderer Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/grid.h>`

Inheritance diagram for wxGridCornerHeaderRenderer:
[legend]

## Detailed Description

Base class for corner header renderer.

This is the same as wxGridHeaderLabelsRenderer currently but we still use a separate class for it to distinguish it from wxGridRowHeaderRenderer and wxGridColumnHeaderRenderer.

See also
  wxGridCornerHeaderRendererDefault
  wxGridCellAttrProvider::GetCornerRenderer()

Since
  2.9.1

## Additional Inherited Members
Public Member Functions inherited from wxGridHeaderLabelsRenderer
virtual void | DrawBorder (const wxGrid &grid, wxDC &dc, wxRect &rect) const =0
| Called by the grid to draw the border around the cell header. More...
virtual void | DrawLabel (const wxGrid &grid, wxDC &dc, const wxString &value, const wxRect &rect, int horizAlign, int vertAlign, int textOrientation) const
| Called by the grid to draw the specified label. More...